GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_oauth2_token_fetcher_credentials Struct Reference

`#include <credentials.h>`

## Data Fields
grpc_credentials | base
gpr_mu | mu
grpc_credentials_md_store * | access_token_md
gpr_timespec | token_expiration
grpc_httpcli_context | httpcli_context
grpc_fetch_oauth2_func | fetch_func

## Field Documentation

grpc_credentials_md_store* grpc_oauth2_token_fetcher_credentials::access_token_md

grpc_credentials grpc_oauth2_token_fetcher_credentials::base

grpc_fetch_oauth2_func grpc_oauth2_token_fetcher_credentials::fetch_func

grpc_httpcli_context grpc_oauth2_token_fetcher_credentials::httpcli_context

gpr_mu grpc_oauth2_token_fetcher_credentials::mu

gpr_timespec grpc_oauth2_token_fetcher_credentials::token_expiration

The documentation for this struct was generated from the following file:

- src/core/security/credentials.h